| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
DecodeAsDialog Class Reference

A dialog allowing users to configure "Decode As" rules for protocols. More...

`#include <decode_as_dialog.h>`

Inheritance diagram for DecodeAsDialog:

## Public Slots
void | modelRowsReset ()
| Slot triggered when the model's rows have been reset.

## Public Member Functions
| DecodeAsDialog (QWidget *parent=0, capture_file *cf=NULL, bool create_new=false)
| Constructs a new DecodeAsDialog.
| ~DecodeAsDialog ()
| Destroys the DecodeAsDialog.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Additional Inherited Members
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Detailed Description

A dialog allowing users to configure "Decode As" rules for protocols.

## Constructor & Destructor Documentation

## ◆ DecodeAsDialog()

DecodeAsDialog::DecodeAsDialog | ( | QWidget * | parent = 0,
|  | capture_file * | cf = NULL,
|  | bool | create_new = false )
| explicit

Constructs a new DecodeAsDialog.

Parameters

  parent | The parent widget, defaults to 0.
  cf | Pointer to the capture file, defaults to NULL.
  create_new | True to automatically initiate creation of a new rule upon opening, defaults to false.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/decode_as_dialog.h
- /builds/wireshark/wireshark/ui/qt/decode_as_dialog.cpp